Milter.cache.AddrCache Class Reference
Inheritance diagram for Milter.cache.AddrCache:

## Public Member Functions

| __init__ (self, renew=7, fname=None)
| load (self, fname, age=0)
| has_precise_key (self, sender)
| has_key (self, sender)
| __getitem__ (self, sender)
| addperm (self, sender, res=None)
| __setitem__ (self, sender, res)
| __len__ (self)

## Public Attributes

| age = renew
dict | cache = {}
| fname = fname

## Static Public Attributes

str | time_format = '%Y%b%d %H:%M:%S %Z'

## Static Private Attributes

| __contains__ = has_key

## Member Function Documentation

## has_precise_key()

Milter.cache.AddrCache.has_precise_key | ( |  | self,
|  |  | sender )

    True if precise sender is cached and has not expired.  Don't
    try looking up wildcard entries.

References __getitem__(), age, cache, fname, has_key(), and has_precise_key().

Referenced by has_precise_key().

The documentation for this class was generated from the following file:

- Milter/cache.py